Package org.bukkit.event.weather

# Class LightningStrikeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.weather.WeatherEvent
org.bukkit.event.weather.LightningStrikeEvent

All Implemented Interfaces:
  `Cancellable`

public class LightningStrikeEvent extends WeatherEvent implements Cancellable
Stores data for lightning striking

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`LightningStrikeEvent.Cause`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.weather.WeatherEvent

`world`

## Constructor Summary

Constructors
Constructor
Description
`LightningStrikeEvent(@NotNull World world, @NotNull LightningStrike bolt)`
Deprecated.
`LightningStrikeEvent(@NotNull World world, @NotNull LightningStrike bolt, @NotNull LightningStrikeEvent.Cause cause)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull LightningStrikeEvent.Cause`
`getCause()`
Gets the cause of this lightning strike.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull LightningStrike`
`getLightning()`
Gets the bolt which is striking the earth.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.weather.WeatherEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LightningStrikeEvent

@Deprecated public LightningStrikeEvent(@NotNull @NotNull World world, @NotNull @NotNull LightningStrike bolt)
Deprecated.

### LightningStrikeEvent

public LightningStrikeEvent(@NotNull @NotNull World world, @NotNull @NotNull LightningStrike bolt, @NotNull @NotNull LightningStrikeEvent.Cause cause)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getLightning

@NotNull public @NotNull LightningStrike getLightning()
Gets the bolt which is striking the earth.

Returns:
  lightning entity

### getCause

@NotNull public @NotNull LightningStrikeEvent.Cause getCause()
Gets the cause of this lightning strike.

Returns:
  strike cause

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()